Loading...
Searching...
No Matches
InitDeinitTests.cpp File Reference
`#include "unity.h"`
`#include "../include/BNO08xTestHelper.hpp"`
Include dependency graph for InitDeinitTests.cpp:

## Functions

| TEST_CASE ("Init Config Args", "[InitComprehensive]")
| TEST_CASE ("Init GPIO", "[InitComprehensive]")
| TEST_CASE ("Init HINT ISR", "[InitComprehensive]")
| TEST_CASE ("Init SPI", "[InitComprehensive]")
| TEST_CASE ("InitComprehensive Tasks", "[InitComprehensive]")
| TEST_CASE ("Finish Init", "[InitComprehensive]")
| TEST_CASE ("Init & Deinit", "[InitDenit]")

## Function Documentation

## TEST_CASE() [1/7]

TEST_CASE | ( | "Finish Init" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [2/7]

TEST_CASE | ( | "Init & Deinit" | ,
|  | "" | [InitDenit] )

Here is the call graph for this function:

## TEST_CASE() [3/7]

TEST_CASE | ( | "Init Config Args" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [4/7]

TEST_CASE | ( | "Init GPIO" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [5/7]

TEST_CASE | ( | "Init HINT ISR" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [6/7]

TEST_CASE | ( | "Init SPI" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function:

## TEST_CASE() [7/7]

TEST_CASE | ( | "InitComprehensive Tasks" | ,
|  | "" | [InitComprehensive] )

Here is the call graph for this function: